/*
 * Class WEL_RASTER_CAPABILITIES_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_157 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_157 [] = {0xFF01,1551,156,0xFFFF};
static const EIF_TYPE_INDEX egt_2_157 [] = {0xFF01,156,0xFFFF};
static const EIF_TYPE_INDEX egt_3_157 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_157 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_157 [] = {0xFF01,156,0xFFFF};
static const EIF_TYPE_INDEX egt_6_157 [] = {0xFF01,156,0xFFFF};
static const EIF_TYPE_INDEX egt_7_157 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_157 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_157 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_157 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_157 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_157 [] = {0xFF01,156,0xFFFF};


static const struct desc_info desc_157[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_157), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_157), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_157), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_157), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_157), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_157), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_157), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_157), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_157), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_157), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_157), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_157), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0139 /*156*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_157), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4046, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4047, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4048, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4049, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4050, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4051, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4052, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4053, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4054, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4055, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4056, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4057, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4058, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4059, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4060, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4061, 0xFFFFFFFF},
};
void Init157(void)
{
	IDSC(desc_157, 0, 156);
	IDSC(desc_157 + 1, 1, 156);
	IDSC(desc_157 + 32, 122, 156);
}


#ifdef __cplusplus
}
#endif
